Bug 1577435 - [abrt] cinnamon: _gtk_style_provider_private_get_settings(): python3.6 killed by SIGSEGV
Summary: [abrt] cinnamon: _gtk_style_provider_private_get_settings(): python3.6 killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aec1b7106f65541f06b5d3d8b3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 00:41 UTC by Great Magus
Modified: 2019-05-28 20:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:12:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.68 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: core_backtrace (14.35 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: cpuinfo (1007 bytes, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: dso_list (10.97 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: environ (197 bytes, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: maps (45.14 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: mountinfo (3.57 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: open_fds (227 bytes, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2018-05-12 00:41 UTC, Great Magus
no flags Details

Description Great Magus 2018-05-12 00:41:17 UTC
Description of problem:
First ever log in to the system after installation.  

Version-Release number of selected component:
cinnamon-3.8.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings-users/cinnamon-settings-users.py
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/bin/python3.6
journald_cursor: s=1df561b59d53478990f4954dc370c65a;i=1422;b=84007833f1a442efb2da05e67081a8ad;m=3e41f9c9;t=56b790f2a6a21;x=df5ceeb43a09b6
kernel:         4.16.3-301.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:237
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:122
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:195
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:164
 #6 gtk_css_node_init at gtkcssnode.c:667
 #7 g_type_create_instance at gtype.c:1860
 #8 g_object_new_internal at gobject.c:1799
 #9 g_object_new_with_properties at gobject.c:1967

Potential duplicate: bug 1538086

Comment 1 Great Magus 2018-05-12 00:41:21 UTC
Created attachment 1435187 [details]
File: backtrace

Comment 2 Great Magus 2018-05-12 00:41:22 UTC
Created attachment 1435188 [details]
File: cgroup

Comment 3 Great Magus 2018-05-12 00:41:23 UTC
Created attachment 1435189 [details]
File: core_backtrace

Comment 4 Great Magus 2018-05-12 00:41:24 UTC
Created attachment 1435190 [details]
File: cpuinfo

Comment 5 Great Magus 2018-05-12 00:41:25 UTC
Created attachment 1435191 [details]
File: dso_list

Comment 6 Great Magus 2018-05-12 00:41:26 UTC
Created attachment 1435192 [details]
File: environ

Comment 7 Great Magus 2018-05-12 00:41:27 UTC
Created attachment 1435193 [details]
File: exploitable

Comment 8 Great Magus 2018-05-12 00:41:27 UTC
Created attachment 1435194 [details]
File: limits

Comment 9 Great Magus 2018-05-12 00:41:29 UTC
Created attachment 1435195 [details]
File: maps

Comment 10 Great Magus 2018-05-12 00:41:30 UTC
Created attachment 1435196 [details]
File: mountinfo

Comment 11 Great Magus 2018-05-12 00:41:31 UTC
Created attachment 1435197 [details]
File: open_fds

Comment 12 Great Magus 2018-05-12 00:41:31 UTC
Created attachment 1435198 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 19:17:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-02 21:48:08 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:12:07 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.